--COMBAT_LOG_EVENT_UNFILTERED
function(...)
    local se = select(3, ...)
    if se == "SPELL_CAST_SUCCESS" then
        local caster = select(6, ...)
        if caster == UnitName("player") then
            local name = select(14, ...)
            if name == "Rampage" then
                local c1 = "|cFFFFFFFF"
                local Recklessness = GetSpellCooldown("Recklessness")
                local RecklessnessD = select(2, GetSpellCooldown("Recklessness"))
                if Recklessness > 0 and RecklessnessD > 2 then
                    aura_env.RecklessnessCD = aura_env.RecklessnessCD + 3.75
                end
                if RecklessnessD < 2 then c1 = "|cFF0080FF" end
                aura_env.region.text2:SetText(c1 .. aura_env.RecklessnessCD .. "|r")
            elseif name == "Recklessness" then
                aura_env.RecklessnessCD = 0
            end
        end
    end
end

--INIT
aura_env.RecklessnessCD = 0
local font, size, flags = aura_env.region.text:GetFont()
if not aura_env.region.text then
    local text = aura_env.region:CreateFontString(nil, aura_env.region)
    aura_env.region.text = text
    print("ok!")
end
aura_env.region:SetWidth(128)
aura_env.region.text:SetFont(font, size, flags)
aura_env.region.text:SetTextColor(1,1,1,1)
aura_env.region.text:SetPoint("CENTER", aura_env.region, "CENTER")
aura_env.region.text:SetJustifyH("LEFT")
aura_env.region.text:SetText("Recklessness")
aura_env.region.text:Show()

if not aura_env.region.text2 then
    local text2 = aura_env.region:CreateFontString(nil, aura_env.region)
    aura_env.region.text2 = text2
    print("ok!")
end
aura_env.region.text2:SetFont(font, size, flags)
aura_env.region.text2:SetTextColor(1,1,1,1)
aura_env.region.text2:SetPoint("RIGHT", aura_env.region, "RIGHT", 128, 0)
aura_env.region.text2:SetJustifyH("LEFT")
aura_env.region.text2:SetText("0")
aura_env.region.text2:Show()